if not BLTRCD then return end
local BLTRCD = BLTRCD
 
BLTRCD.classes = {
    "DEATHKNIGHT",
    "DRUID",
    "HUNTER",
    "MAGE",
    "MONK",
    "PALADIN",
    "PRIEST",
    "ROGUE",
    "SHAMAN",
    "WARLOCK",
    "WARRIOR",
    "ALL",
}
 
BLTRCD.cooldowns = {
    -- Paladin
    [31821] = { -- Devotion Aura
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 31821,
        name = "Devotion Aura",
        succ = "SPELL_CAST_SUCCESS",
        CD = 180,
        class = "PALADIN",
        category = "AOE_HEAL",
        duration = 6,
        spec_list = { [65] = true },
    },
    [6940] = { -- Hand of Sacrifice
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 6940,
        name = "Hand of Sacrifice",
        succ = "SPELL_CAST_SUCCESS",
        CD = 120,
        class = "PALADIN",
        category = "SINGLE_HEAL",
        duration = 0,
        talentCharges = { 17593, 2 },
        charges = 1,
    },
    [633] = { -- Lay on Hands
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 633,
        name = "Lay on Hands",
        succ = "SPELL_CAST_SUCCESS",
        CD = 600,
        class = "PALADIN",
        category = "SINGLE_HEAL",
        duration = 0,
    },
    [114039] = { -- Hand of Purity
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 114039,
        name = "Hand of Purity",
        succ = "SPELL_CAST_SUCCESS",
        CD = 30,
        class = "PALADIN",
        category = "SINGLE_HEAL",
        duration = 6,
        talent = 17589,
    },
    [1022] = { -- Hand of Protection
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 1022,
        name = "Hand of Protection",
        succ = "SPELL_CAST_SUCCESS",
        CD = 300,
        class = "PALADIN",
        category = "UTILITY",
        duration = 10,
        talentCharges = { 17593, 2 },
        charges = 1,
    },
    [642] = { -- Divine Shield
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 642,
        name = "Divine Shield",
        succ = "SPELL_CAST_SUCCESS",
        CD = 300,
        class = "PALADIN",
        category = "DEFENSIVE",
        duration = 8,
    },
    [498] = { -- Divine Protection
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 498,
        name = "Divine Protection",
        succ = "SPELL_CAST_SUCCESS",
        CD = 60,
        class = "PALADIN",
        category = "DEFENSIVE",
        duration = 8,
    },
 
    -- Priest
    [73325] = { -- Leap of Faith
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 73325,
        succ = "SPELL_CAST_SUCCESS",
        name = "Leap of Faith",
        CD = 90,
        class = "PRIEST",
        category = "UTILITY",
        duration = 0,
    },    
    [62618] = { -- Power Word: Barrier
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 62618,
        succ = "SPELL_CAST_SUCCESS",
        name = "Power Word: Barrier",
        CD = 180,
        class = "PRIEST",
        category = "AOE_HEAL",
        duration = 10,
        spec_list = { [256] = true },
    },
    [33206] = { -- Pain Suppression  
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 33206,
        succ = "SPELL_CAST_SUCCESS",
        name = "Pain Suppression",
        CD = 180,
        class = "PRIEST",
        category = "SINGLE_HEAL",
        duration = 8,
        spec_list = { [256] = true },
    },
    [64843] = { -- Divine Hymn
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 64843,
        succ = "SPELL_CAST_SUCCESS",
        name = "Divine Hymn",
        CD = 180,
        class = "PRIEST",
        category = "AOE_HEAL",
        duration = 8,
        spec_list = { [257] = true },
    },    
    [47788] = { -- Guardian Spirit
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 47788,
        succ = "SPELL_CAST_SUCCESS",
        name = "Guardian Spirit",
        CD = 180,
        class = "PRIEST",
        category = "SINGLE_HEAL",
        duration = 10,
        spec_list = { [257] = true },
    },    
    [110744] = { -- Divine Star
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 110744,
        succ = "SPELL_CAST_SUCCESS",
        name = "Divine Star",
        CD = 15,
        class = "PRIEST",
        category = "AOE_HEAL",
        duration = 0,
        spec_list = { [256] = true, [257] = true },
        talent = 19760,
    },
    [15286] = { -- Vampiric Embrace
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 15286,
        succ = "SPELL_CAST_SUCCESS",
        name = "Vampiric Embrace",
        CD = 180,
        class = "PRIEST",
        category = "AOE_HEAL",
        duration = 15,
        spec_list = { [258] = true },
    },    
    [724] = { -- Lightwell
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 724,
        succ = "SPELL_CAST_SUCCESS",
        name = "Lightwell",
        CD = 180,
        class = "PRIEST",
        category = "SINGLE_HEAL",
        duration = 0,
        spec_list = { [257] = true },
    },
    [109964] = { -- Spirit Shell
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 109964,
        succ = "SPELL_CAST_SUCCESS",
        name = "Spirit Shell",
        CD = 60,
        class = "PRIEST",
        category = "AOE_HEAL",
        duration = 15,
        spec_list = { [256] = true },
        talent = 21754,
    },
    [19236] = { -- Desperate Prayer
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 19236,
        succ = "SPELL_CAST_SUCCESS",
        name = "Desperate Prayer",
        CD = 120,
        class = "PRIEST",
        category = "DEFENSIVE",
        duration = 0,
        talent = 19752,
    }, 
    [47585] = { -- Dispersion
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 47585,
        succ = "SPELL_CAST_SUCCESS",
        name = "Desperate Prayer",
        CD = 120,
        class = "PRIEST",
        category = "DEFENSIVE",
        duration = 6,
        spec_list = { [258] = true },
        glyphReduceCD = { 63229, 15 },
    },    
               
    -- Druid
    [108294] = { -- Heart of the Wild
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 108294,
        succ = "SPELL_CAST_SUCCESS",
        name = "Heart of the Wild",
        CD = 360,
        class = "DRUID",
        category = "SINGLE_HEAL",
        duration = 45,
        spec_list = { [105] = true },
        talent = 21716,
    },
    [124974] = { -- Nature's Vigil
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 124974,
        succ = "SPELL_CAST_SUCCESS",
        name = "Nature's Vigil",
        CD = 90,
        class = "DRUID",
        category = "AOE_HEAL",
        duration = 30,
        talent = 18586,
    },        
    [740] = { -- Tranquility
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 740,
        succ = "SPELL_CAST_SUCCESS",
        name = "Tranquility",
        CD = 180,
        class = "DRUID",
        spec_list = { [105] = true },
        category = "AOE_HEAL",
        duration = 8,
    },
    [102342] = { -- Ironbark
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 102342,
        succ = "SPELL_CAST_SUCCESS",
        name = "Ironbark",
        CD = 60,
        class = "DRUID",
        spec_list = { [105] = true },
        category = "SINGLE_HEAL",
        duration = 12,
    },
    [22812] = { -- Barkskin
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 22812,
        succ = "SPELL_CAST_SUCCESS",
        name = "Barkskin",
        CD = 60,
        class = "DRUID",
        category = "DEFENSIVE",
        duration = 12,
        spec_list = { [102] = true, [104] = true, [105] = true }
    },
    [108238] = { -- Renewal
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 108238,
        succ = "SPELL_CAST_SUCCESS",
        name = "Renewal",
        CD = 120,
        class = "DRUID",
        category = "DEFENSIVE",
        duration = 0,
        talent = 19283,
    },
    [61336] = { -- Survival Instincts
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 61336,
        succ = "SPELL_CAST_SUCCESS",
        name = "Survival Instincts",
        CD = 180,
        class = "DRUID",
        category = "DEFENSIVE",
        duration = 6,
        spec_list = { [103] = true, [104] = true },
        glyphReduceCD = { 114223, 40 },
    },
    [106898] = { -- Stampeding Roar
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 106898,
        succ = "SPELL_CAST_SUCCESS",
        name = "Stampeding Roar",
        CD = 120,
        class = "DRUID",
        category = "UTILITY",
        duration = 8,
        altSpellID = { [77764] = "cat_feral" },
    },
    -- Shaman
    [108269] = { -- Capacitor Totem
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 108269,
        succ = "SPELL_CAST_SUCCESS",
        name = "Capacitor Totem",
        CD = 45,
        class = "SHAMAN",
        category = "AOE_STUN",
        duration = 5,
    },    
    [108281] = { -- Ancestral Guidance
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 108281,
        succ = "SPELL_CAST_SUCCESS",
        name = "Ancestral Guidance",
        CD = 120,
        class = "SHAMAN",
        category = "AOE_HEAL",
        duration = 10,
        talent = 19269,
    },
    [98008] = { -- Spirit Link Totem
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 98008,
        succ = "SPELL_CAST_SUCCESS",
        name = "Spirit Link Totem",
        CD = 180,
        class = "SHAMAN",
        category = "AOE_HEAL",
        duration = 6,
        spec_list = { [264] = true },
        talentCharges = { 19273, 2 },
    },
    -- [165344] = { -- Ascendance
        -- enabled =  true,
        -- d_enabled = "inherit",
        -- b_enabled = "inherit",
        -- startCDannounce = "inherit",
        -- stopCDannounce = "inherit",
        -- readyCDannounce = "inherit",
        -- readymode = "inherit",
        -- growth = "inherit",
        -- spellID = 165344,
        -- succ = "SPELL_CAST_SUCCESS",
        -- name = "Ascendance",
        -- CD = 180,
        -- class = "SHAMAN",
        -- category = "AOE_HEAL",
        -- duration = 15,
        -- spec_list = { [264] = true },
    -- },
    [108280] = { -- Healing Tide Totem
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 108280,
        succ = "SPELL_CAST_SUCCESS",
        name = "Healing Tide Totem",
        CD = 180,
        class = "SHAMAN",
        category = "AOE_HEAL",
        duration = 10,
        spec_list = { [264] = true },
    },
    [2894] = { -- Fire Elemental Totem
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 2894,
        succ = "SPELL_CAST_SUCCESS",
        name = "Fire Elemental Totem",
        CD = 300,
        class = "SHAMAN",
        category = "UTILITY",
        duration = 60,
        glyphReduceCD = { 55455, 120 },
    },
    [108271] = { -- Astral Shift
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 108271,
        succ = "SPELL_CAST_SUCCESS",
        name = "Astral Shift",
        CD = 90,
        class = "SHAMAN",
        category = "DEFENSIVE",
        duration = 6,
        talent = 19264,
    },
    [108270] = { -- Stone Bulwark Totem
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 108270,
        succ = "SPELL_CAST_SUCCESS",
        name = "Stone Bulwark Totem",
        CD = 60,
        class = "SHAMAN",
        category = "DEFENSIVE",
        duration = 30,
        talent = 19263,
    },
    [30823] = { -- Shamanistic Rage
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 30823,
        succ = "SPELL_CAST_SUCCESS",
        name = "Shamanistic Rage",
        CD = 60,
        class = "SHAMAN",
        category = "DEFENSIVE",
        duration = 15,
        spec_list = { [262] = true, [263] = true },
    },
         
    -- Monk
    [119381] = { -- Leg Sweep
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 119381,
        succ = "SPELL_CAST_SUCCESS",
        name = "Leg Sweep",
        CD = 45,
        class = "MONK",
        category = "AOE_STUN",
        duration = 5,
        talent = 19995,
    },    
    [115176] = { -- Zen Meditation
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 115176,
        succ = "SPELL_CAST_SUCCESS",
        name = "Zen Meditation",
        CD = 180,
        class = "MONK",
        category = "SINGLE_HEAL",
        duration = 8,
        spec_list = { [268] = true, [269] = true }
    },
    [116849] = { -- Life Cocoon
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 116849,
        succ = "SPELL_CAST_SUCCESS",
        name = "Life Cocoon",
        CD = 120,
        class = "MONK",
        category = "SINGLE_HEAL",
        duration = 12,
        spec_list = { [270] = true },
    },
    [115310] = { -- Revival
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 115310,
        succ = "SPELL_CAST_SUCCESS",
        name = "Revival",
        CD = 180,
        class = "MONK",
        category = "AOE_HEAL",
        duration = 0,
        spec_list = { [270] = true },
    },
    [123986] = { -- Chi Burst
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 123986,
        succ = "SPELL_CAST_SUCCESS",
        name = "Chi Burst",
        CD = 30,
        class = "MONK",
        category = "AOE_HEAL",
        duration = 0,
        talent = 19823,
    },
    [115203] = { -- Fortifying Brew
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 115203,
        succ = "SPELL_CAST_SUCCESS",
        name = "Fortifying Brew",
        CD = 180,
        class = "MONK",
        category = "DEFENSIVE",
        duration = 15,
    },
    [122278] = { -- Dampen Harm
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 122278,
        succ = "SPELL_CAST_SUCCESS",
        name = "Dampen Harm",
        CD = 90,
        class = "MONK",
        category = "DEFENSIVE",
        duration = 0,
        talent = 20175,
    },
    [122783] = { -- Diffuse Magic
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 122783,
        succ = "SPELL_CAST_SUCCESS",
        name = "Diffuse Magic",
        CD = 90,
        class = "MONK",
        category = "DEFENSIVE",
        duration = 6,
        talent = 20173,
    },
    [122470] = { -- Touch of Karma
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 122470,
        succ = "SPELL_CAST_SUCCESS",
        name = "Touch of Karma",
        CD = 90,
        class = "MONK",
        category = "DEFENSIVE",
        duration = 10,
        spec_list = { [269] = true },
    },    
    -- Warlock
    [111771] = { -- Demonic Gateway
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 111771,
        succ = "SPELL_CAST_SUCCESS",
        name = "Demonic Gateway",
        CD = 10,
        class = "WARLOCK",
        category = "UTILITY",
        duration = 0,
    },    
    [30283] = { -- Shadowfury
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 30283,
        succ = "SPELL_CAST_SUCCESS",
        name = "Shadowfury",
        CD = 30,
        class = "WARLOCK",
        category = "AOE_STUN",
        duration = 3,
        talent = 19286,
    },
    [104773] = { -- Unending Resolve
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 104773,
        succ = "SPELL_CAST_SUCCESS",
        name = "Unending Resolve",
        CD = 180,
        class = "WARLOCK",
        category = "DEFENSIVE",
        duration = 8,
    },
    [108359] = { -- Dark Regeneration
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 108359,
        succ = "SPELL_CAST_SUCCESS",
        name = "Dark Regeneration",
        CD = 120,
        class = "WARLOCK",
        category = "DEFENSIVE",
        duration = 12,
        talent = 19279,
    },
    [110913] = { -- Dark Bargain
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 110913,
        succ = "SPELL_CAST_SUCCESS",
        name = "Dark Bargain",
        CD = 180,
        class = "WARLOCK",
        category = "DEFENSIVE",
        duration = 8,
        talent = 19289,
    },
    [108416] = { -- Sacrificial Pact
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 108416,
        succ = "SPELL_CAST_SUCCESS",
        name = "Sacrificial Pact",
        CD = 60,
        class = "WARLOCK",
        category = "DEFENSIVE",
        duration = 20,
        talent = 19288,
    },    
    -- Death Knight
    [51052] = { -- Anti-Magic Zone
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 51052,
        succ = "SPELL_CAST_SUCCESS",
        name = "Anti-Magic Zone",
        CD = 120,
        class = "DEATHKNIGHT",
        category = "AOE_HEAL",
        duration = 3,
        talent = 19219,
    },
    [108200] = { -- Remorseless Winter
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 108200,
        succ = "SPELL_CAST_SUCCESS",
        name = "Remorseless Winter",
        CD = 60,
        class = "DEATHKNIGHT",
        category = "AOE_STUN",
        duration = 8,
        talent = 19231,
    },    
    [108199] = { -- Gorefiend's Grasp
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 108199,
        succ = "SPELL_CAST_SUCCESS",
        name = "Gorefiends's Grasp",
        CD = 60,
        class = "DEATHKNIGHT",
        category = "UTILITY",
        duration = 0,
        talent = 19230,
    },
    [48792] = { -- Icebound Fortitude
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 48792,
        succ = "SPELL_CAST_SUCCESS",
        name = "Icebound Fortitude",
        CD = 180,
        class = "DEATHKNIGHT",
        category = "DEFENSIVE",
        duration = 8,
        glyphReduceCD = { 58673, 90 },
    },
    [42650] = { -- Army of the Dead
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 42650,
        succ = "SPELL_CAST_SUCCESS",
        name = "Army of the Dead",
        CD = 600,
        class = "DEATHKNIGHT",
        category = "DEFENSIVE",
        duration = 40,
    },
    [48707] = { -- Anti-Magic Shell
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 48707,
        succ = "SPELL_CAST_SUCCESS",
        name = "Anti-Magic Shell",
        CD = 45,
        class = "DEATHKNIGHT",
        category = "DEFENSIVE",
        duration = 5,
    },
    [48743] = { -- Death Pact
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 48743,
        succ = "SPELL_CAST_SUCCESS",
        name = "Death Pact",
        CD = 120,
        class = "DEATHKNIGHT",
        category = "DEFENSIVE",
        duration = 0,
        talent = 19226,
    },
    [49222] = { -- Bone Shield
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 49222,
        succ = "SPELL_CAST_SUCCESS",
        name = "Bone Shield",
        CD = 60,
        class = "DEATHKNIGHT",
        category = "DEFENSIVE",
        duration = 8,
        spec_list = { [250] = true },
    },
    [49028] = { -- Dancing rune
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 49028,
        succ = "SPELL_CAST_SUCCESS",
        name = "Dancing rune",
        CD = 90,
        class = "DEATHKNIGHT",
        category = "DEFENSIVE",
        duration = 8,
        spec_list = { [250] = true },
    },
    [48982] = { -- Rune Tap
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 48982,
        succ = "SPELL_CAST_SUCCESS",
        name = "Rune Tap",
        CD = 40,
        class = "DEATHKNIGHT",
        category = "DEFENSIVE",
        duration = 3,
        spec_list = { [250] = true },
    },
    [55233] = { -- Vampiric Blood
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 55233,
        succ = "SPELL_CAST_SUCCESS",
        name = "Vampiric Blood",
        CD = 60,
        class = "DEATHKNIGHT",
        category = "DEFENSIVE",
        duration = 10,
        spec_list = { [250] = true },
    },
    -- Warrior
    [46968] = { -- Shockwave
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 46968,
        succ = "SPELL_CAST_SUCCESS",
        name = "Shockwave",
        CD = 20,
        class = "WARRIOR",
        category = "AOE_STUN",
        duration = 4,
        talent = 15760,
    },    
    [97462] = { -- Rallying Cry
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 97462,
        succ = "SPELL_CAST_SUCCESS",
        name = "Rallying Cry",
        CD = 180,
        class = "WARRIOR",
        category = "AOE_HEAL",
        duration = 10,
        spec_list = { [71] = true, [72] = true },
    },
    [114030] = { -- Vigilance
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 114030,
        succ = "SPELL_CAST_SUCCESS",
        name = "Vigilance",
        CD = 120,
        class = "WARRIOR",
        category = "SINGLE_HEAL",
        duration = 12,
        talent = 19676,
    },
    [114029] = { -- Safeguard
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 114029,
        succ = "SPELL_CAST_SUCCESS",
        name = "Safeguard",
        CD = 30,
        class = "WARRIOR",
        category = "SINGLE_HEAL",
        duration = 6,
        talent = 15766,
    },
    [1160] = { -- Demoralizing Shout
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 1160,
        succ = "SPELL_CAST_SUCCESS",
        name = "Demoralizing Shout",
        CD = 60,
        class = "WARRIOR",
        category = "DEFENSIVE",
        duration = 8,
        spec_list = { [73] = true },
    },
    [871] = { -- Shield Wall
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 871,
        succ = "SPELL_CAST_SUCCESS",
        name = "Shield Wall",
        CD = 180,
        class = "WARRIOR",
        category = "DEFENSIVE",
        duration = 8,
        spec_list = { [73] = true },
        glyphReduceCD = { 63329, -120 },
    },
    [118038] = { -- Die by the sword
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 118038,
        succ = "SPELL_CAST_SUCCESS",
        name = "Die by the Sword",
        CD = 120,
        class = "WARRIOR",
        category = "DEFENSIVE",
        duration = 8,
        spec_list = { [71] = true, [72] = true },
    },
    [12975] = { -- Last Stand
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 12975,
        succ = "SPELL_CAST_SUCCESS",
        name = "Last Stand",
        CD = 180,
        class = "WARRIOR",
        category = "DEFENSIVE",
        duration = 15,
        spec_list = { [73] = true },
    },
    [55694] = { -- Enraged Regeneration
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 55694,
        succ = "SPELL_CAST_SUCCESS",
        name = "Enraged Regeneration",
        CD = 60,
        class = "WARRIOR",
        category = "DEFENSIVE",
        duration = 5,
        talent = 16036,
    },
    -- Rogue
    [76577] = { -- Smoke Bomb
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 76577,
        succ = "SPELL_CAST_SUCCESS",
        name = "Smoke Bomb",
        CD = 180,
        class = "ROGUE",
        category = "AOE_HEAL",
        duration = 5,
    },
    [1966] = { -- Feint
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 1966,
        succ = "SPELL_CAST_SUCCESS",
        name = "Feint",
        CD = 5,
        class = "ROGUE",
        category = "DEFENSIVE",
        duration = 5,
    },
    -- Mage
    [159916] = { -- Amplify Magic
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 159916,
        succ = "SPELL_CAST_SUCCESS",
        name = "Amplify Magic",
        CD = 120,
        class = "MAGE",
        category = "AOE_HEAL",
        duration = 6,
    },    
    [45438] = { -- Ice Block
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 45438,
        succ = "SPELL_CAST_SUCCESS",
        name = "Ice Block",
        CD = 300,
        class = "MAGE",
        category = "DEFENSIVE",
        duration = 10,
    },
    [11426] = { -- Ice Barrier
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 11426,
        succ = "SPELL_CAST_SUCCESS",
        name = "Ice Barrier",
        CD = 25,
        class = "MAGE",
        category = "DEFENSIVE",
        duration = 0,
        talent = 16025,
    },
    [110959] = { -- Greater Invisibility
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 110959,
        succ = "SPELL_CAST_SUCCESS",
        name = "Greater Invisibility",
        CD = 90,
        class = "MAGE",
        category = "DEFENSIVE",
        duration = 20,
        talent = 16027,
    },
    -- Hunter
    [109248] = { -- Binding Shot
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 109248,
        succ = "SPELL_CAST_SUCCESS",
        name = "Binding Shot",
        CD = 45,
        class = "HUNTER",
        category = "AOE_STUN",
        duration = 10,
        talent = 19347,
    },    
    [172106] = { -- Aspect of the Fox
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 172106,
        succ = "SPELL_CAST_SUCCESS",
        name = "Aspect of the Fox",
        CD = 180,
        class = "HUNTER",
        category = "UTILITY",
        duration = 6,
    },    
    [19263] = { -- Deterrence
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 19263,
        succ = "SPELL_CAST_SUCCESS",
        name = "Deterrence",
        CD = 180,
        class = "HUNTER",
        category = "DEFENSIVE",
        duration = 5,
        talentReduceCD = { 118675, 60 },
        charges = 3,
    },
    [109304] = { -- Exhilaration
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 109304,
        succ = "SPELL_CAST_SUCCESS",
        name = "Exhilaration",
        CD = 120,
        class = "HUNTER",
        category = "DEFENSIVE",
        duration = 0,
        talent = 19350,
    },
   
    -- Everybody
    [6262] = { -- Healthstone
        enabled =  true,
        d_enabled = "inherit",
        b_enabled = "inherit",
        startCDannounce = "inherit",
        stopCDannounce = "inherit",
        readyCDannounce = "inherit",
        readymode = "inherit",
        growth = "inherit",
        spellID = 6262,
        succ = "SPELL_CAST_SUCCESS",
        name = "Healthstone",
        CD = 3600,
        class = "ALL",
        category = "UTILITY",
        duration = 0,
    },  
}